Skype для бета-версии Linux 5.3 не удается выполнить вызов - "Не удалось настроить состояние кодека отправки"
6/29/2017

Привет,

В связи с предстоящим отключением переключателя для версии 4.3 я, наконец, "обновился" до версии 5.3, надеясь, что все ошибки, останавливающие показ, будут удалены на этом этапе. К сожалению, похоже, что это не так.

Я удалил старую версию skype со своего рабочего стола Ubuntu 14.04 и очистил файлы конфигурации. Затем я скачал 64-разрядную версию deb с веб-сайта и установил ее с помощью "sudo dpkg -i skypeforlinux-64.deb`. Пока все идет так хорошо. Приложение запускается и позволяет мне войти в систему, чтобы увидеть мои контакты. Отлично! Он правильно показывает онлайн-статус этих контактов, и обмен мгновенными сообщениями работает нормально.

Однако при попытке выполнить вызов он терпит неудачу, утверждая, что другая сторона "занята". Просмотр журнала в $HOME/.config/skypeforlinux/logs/skype-startup.log показывает следующую запись: [3628:0629/095123.021489:ОШИБКА:audio_send_stream.cc(90)] Не удалось настроить состояние кодека отправки.

Могу ли я получить ясность относительно текущего состояния "Бета-версии"? Является ли Ubuntu 14.04 не поддерживаемой платформой? Как технический специалист может устранить эту проблему и заставить ее работать?

РЕДАКТИРОВАТЬ:

Ошибка журнала, похоже, выявляет проблему в chromium webrtc, которую Microsoft должна использовать в этом клиенте Skype. Строка 90 из audio_send_stream.cc (как указано в журнале) указывает на сбой при вызове метода ConfigureStream (ссылка на исходный код: https://chromium.googlesource.com/external/webrtc/trunk/webrtc/+/refs/heads/master/audio/audio_send_stream.cc ) Исходный код указывает, что ошибка в журнале записана с подробностями LS_ERROR. Кто-нибудь знает, есть ли в настройках Skype.json (или где-либо еще) параметр конфигурации, который может повысить этот уровень детализации? Мы будем признательны за комментарий представителя корпорации Майкрософт.

Ответы (10)

Nancy Ernser
6/29/2017

Microsoft, похоже, придерживается мнения, что эта скелетная версия 5.3 может заменить стабильную версию 4.3, выходящую на пенсию в эти выходные, поэтому я уверен, что в эти выходные у многих пользователей Linux нет Skype, так как скелетная версия 5.3 настолько дрянная. Мне удалось время от времени звонить в Ubuntu 14.04, так что теоретически поддерживается 14.04, однако небольшая часть звонков может быть выполнена со стабильной версией 4.3

Помогло 0 людям
Cristina Wehner MD
6/29/2017

Я не уверен, какие кодеки требуются для новой бета-версии Skype для Linux (пре-альфа?), Но, возможно, вам не хватает ключевого элемента. Взгляните на эту веб-страницу и установите Ubuntu-Restricted-Extras, если у вас этого нет. https://askubuntu.com/questions/656762/how-to-install-common-media-codecs

Помогло 0 людям
Ginger Fisher
6/29/2017

Привет, Питер, и спасибо за ваш ответ. Мои пожилые родители ежедневно пользуются Skype для Linux, чтобы поддерживать связь со своей семьей, которая разбросана по всему миру. Отключение 4.3 окажет на них огромное влияние. Они используют Linux уже много лет и считают этот опыт очень хорошим, и я уверен, что на них не могут повлиять безудержные вспышки вирусов и вымогателей, которые так часто встречаются в наши дни. Не могли бы вы предоставить немного больше информации о вашей установке 14.04, пожалуйста? Оборудование, на котором вы его используете, какие-либо "настройки", которые вы, возможно, сделали, или оно очень стандартное? Спасибо.

Помогло 0 людям
Ginger Fisher
6/29/2017

Привет, JSV, и спасибо за ваш ответ. Я проверил ubuntu-restricted-extras, и он уже установлен: ~ $sudo apt-get установить списки пакетов чтения ubuntu-restricted-extras... Завершено построение дерева зависимостей, считывающего информацию о состоянии... Сделано ubuntu-restricted-extras - это уже новейшая версия, я был бы немного удивлен, если бы файл deb либо не включал все необходимые кодеки, либо не объявлял зависимость от этого пакета, но это стоило проверить наверняка. Спасибо за ваш вклад. Если у вас есть какие-либо другие идеи, я с удовольствием их выслушаю:)

Помогло 1 людям
Nancy Ernser
6/29/2017

Привет, здесь работает довольно стандартный 14.04 с Gnome Flashback, предпочитающий интерфейс unity для ресурсов, на Lenovo X201 всего с 4 ГБ оперативной памяти, добавлено несколько приложений, таких как VLC, браузеры и часы, ohh и Skype... Подозреваю, что переход с Unity на Gnome Flashback высвободил довольно много ресурсов для бесперебойной работы Ubuntu. Linux идеально подходит для использования, которое вы описываете, безопасен и найден с помощью Gnome Flashback, поэтому прост в использовании и работает на бюджетных ноутбуках:). Я боюсь, что в этой ситуации многие окажутся в трудной ситуации, тем более что автоответчик и ограниченная группа контактов значительно упрощают и безопаснее поддерживать связь, поскольку вы все равно можете позвонить, если у них возникла проблема и вам нужна помощь, можете ответить на звонок, не спеша к компьютеру, или просто спите, и вы не хотите их будить. Я предполагаю, что эти проблемы могут быть решены в течение некоторого времени в зависимости от производительности Microsoft здесь. Таким образом, другим вариантом было бы перейти на Apple Mac, уровни риска безопасности не так хороши, как в Linux, вы получаете преимущества полной версии Linux, компьютеры Mac также могут автоматически перезагружаться и возвращаться туда, где они были после отключения питания, компьютеры Mac не любят температуру выше 35 °C и высокую влажность (конденсация на стенах), и у них более высокая начальная стоимость новых и подержанных. IBM, основанная на 440 000 сотрудников и 90 000 компьютерах Mac, считает, что каждый сотрудник, предпочитающий Mac Windows, экономит компании от 275 до 530 долларов, так что это только начальная проблема затрат, думаю, Linux будет где-то посередине Mac и Windows здесь? Ранее использовавшиеся компьютеры Mac намного выгоднее покупать, чем бывшие в употреблении компьютеры с Windows, так как в Apple macOS нет ничего похожего на DLL и аналогичные проблемы, поэтому рекомендуется использовать последнюю версию ОС не старше 2011 года (но с дополнительной оперативной памятью). Помогли многим "пожилым людям" выйти в Интернет, те, кто перешел на Windows, обычно сдавались, так как хлопоты по запуску компьютера с Windows превышали преимущества работы в Сети, пользователи Linux придерживались этого, и пользователи Mac наслаждались своими вычислениями

Помогло 0 людям
Cristina Wehner MD
6/29/2017

Я быстро просмотрел это, и как electron, так и chromium столкнулись с этой проблемой. Похоже, что данных недостаточно для определения основной причины, но если бы я мог догадаться, я бы сказал, что более новая версия chromium попыталась подключиться к более старой версии, и WebRTC потерпел неудачу из-за несовместимости (не обратно совместимой). Все это говорит о том, использует ли другой человек последнюю версию Skype? Возможно, вы вызываете более старую версию, а базовая технология несовместима. Похоже, что это не было проблемой со Skype для Linux 4.3, но опять же, он не был веб-интерфейсом и не использовал ни chromium, ни electron. Попробуйте связаться с другим человеком и посмотреть, не является ли это периодической проблемой. Если это так, то это плохая отказоустойчивость Skype, из-за чего вы можете подключаться только к последним версиям. Исходя из текущего состояния "Бета-версии", меня бы это не удивило.

Помогло 2 людям
Ginger Fisher
6/30/2017

Привет, JSV, и еще раз спасибо за ваш проницательный ответ. Я пробовал различные варианты версий и сумел обнаружить, что проблема связана с подключением между Skype для Linux 5.3, пытающимся выполнить или принять вызов из Skype для Linux 4.3. При использовании 5.3 для вызова версий Skype на компьютерах с Windows вызов в основном согласовывается и успешно подключается после некоторой задержки. Качество звонков оставляет желать лучшего, но, по крайней мере, в целом оно работает. Хотя это далеко не идеальная ситуация, это означает, что 4.3 является проблемной версией, и поскольку она официально устарела по состоянию на ближайшие выходные, это перестанет быть проблемой. Спасибо, что нашли время помочь мне с вашим исследованием проблемы и изложили свои идеи, они действительно были очень полезны, и я думаю, что смогу продвинуть эту работу вперед, хотя и с небольшим разочарованием.

Помогло 0 людям
Nancy Ernser
6/30/2017

Привет, Стив, Тебе повезло, что ты можешь это сделать. Здесь не тот случай, скелетная версия, как Skype для Интернета, является очень простым приложением для видеозвонков, которое отлично подходит для конкуренции с целевой группой, которую преследуют самые разные Google Hangouts, как уже говорилось в другом месте, сравнение скелетной версии с настольной версией похоже на сравнение велосипеда с автомобилем, уверен, что они оба предлагают транспорт, однако велосипед не очень полезен для этой срочной деловой встречи в 100 милях сегодня! Мои коммуникации основаны на возможностях подключения и наборе функций настольной версии, уникальной для Skype, я часто пробовал скелетную версию, но она не предлагает ничего, кроме крошечной доли общения с настольным 4.3 Skype. Сделал немного обратной связи, но это, похоже, игнорируется. Здесь также нет возможности приобрести ноутбук Mac, который предлагал бы ту же связь, что и настольный Skype для Linux, хотя и не так элегантно, как Linux Skype. Skype / Microsoft выпустили версию Skype для Mac 6 лет назад, когда запустили серию 5.xx для Skype для Mac, заменив элегантную и значительно более компактную версию v 2.8, что привело к появлению множества новых участников форума Mac, жалующихся на плохой дизайн (до тысячи сообщений в ветке от new posters!) что форум был закрыт примерно в то время, когда Microsoft купила Skype.

Помогло 0 людям
Ginger Fisher
6/30/2017

Привет, Питер, и спасибо тебе за твой ответ. К сожалению, переход на Mac в данном случае не совсем приемлемый вариант. Трудно оправдать покупку дополнительного оборудования для поддержания подключения к Skype - если бы это было так, я бы, вероятно, купил им Xbox из 2-х рук и заставил его работать через их телевизор. Благодаря некоторым экспериментам мне удалось получить 5.3 для подключения к другим версиям Skype из очень простой установки 14.04 64-битной версии с Gnome Flashback (я вижу, у вас хороший вкус!), За исключением *Skype для Linux 4.3*. Вероятно, на данный момент это продвинет меня достаточно далеко вперед, чтобы сделать его приемлемым вариантом, и надеюсь, что Microsoft довольно интенсивно работает над этой бета-версией, которая отчаянно нуждается в некотором внимании. Всего наилучшего

Помогло 0 людям
Nancy Ernser
6/30/2017

Молодец, Стив, надеюсь, что это продолжит работать. Я предполагаю, что для пожилых родственников функция автоответчика была бы полезна, нашли ли вы способ заставить ее работать? Другие проблемы, такие как общий доступ к экрану, выходят далеко за рамки платного Skype для Web и skeleton Skype для Linux, поэтому нужно надеяться, что Microsoft удовлетворит столь часто повторяющиеся запросы и внесет их, однако я думаю, что основы дизайна Электронная версия, вероятно, мешает этой работе? Держите сообщение в курсе любых обходных путей, которые вы найдете, спасибо

Помогло 0 людям

Похожие вопросы

716

Просмотров

1

Ответов

714

Просмотров

1

Ответов

709

Просмотров

10

Ответов